library(kmerclust)
library(tidyverse)
library(ggplot2)

args <- commandArgs(trailingOnly = TRUE)
print(args)
load(file = paste0(args[1], "_boot.Rdata"))

print(res)
res %>% 
  pivot_longer(cols = -c("name"), names_to = "metric") %>% 
  ggplot(aes(x =  name, y = value)) +
  geom_violin() +
  facet_wrap(~metric) +
  theme_bw()
ggsave(paste0(args[1], "_BIC_loglik.pdf"))

load(file = paste0(args[1], ".Rdata"))
count %>%
  sample_frac(0.1) %>%
  mutate(
    count_m = log1p(count_m),
    count_f = log1p(count_f),
  )
  ggplot(aes(x = count_m, y = count_f)) +
  geom_point() +
  theme_bw()
ggsave(paste0(args[1], "_scatter.pdf"))
